#!/bin/sh

echo "============================================================="
echo "=== CWM RECOVERY INSTALL SCRIPT FOR ALL ALLWINNER DEVICES ==="
echo "=========== Writed by uno.kms from 4pda forum ==============="
echo
if [ ! -r /sdcard/recovery.img ]; then
echo "[!] /sdcard/recovery.img not found or not read"
exit 1
fi
echo "[*] Backup old Recovery..."
cat /dev/block/nandg > /sdcard/recovery_old.img
sync; sync; sync
echo
echo "[*] Install CWM Recovery..."
cat /sdcard/recovery.img > /dev/block/nandg
sync; sync; sync
echo
echo "[*] Installation complete."
echo
echo "Reboot into CWM Recovery?"
echo -n "Answer: "
read yesno
if [ $yesno == "yes" ]; then
echo -n boot-recovery | busybox dd of=/dev/block/nandf count=1 conv=sync
sync; sync; sync
reboot
else
echo "Goodbye!"
fi

